Skip to main content
GET
/
v0
/
sis
/
pint
List Pints Sis
curl --request GET \
  --url https://sis.sumvin.com/v0/sis/pint/ \
  --header 'Authorization: Bearer <token>'
{
  "_links": {},
  "data": [
    {
      "pint": {
        "id": "<string>",
        "wallet_address": "<string>",
        "nonce": 123,
        "eip712_message": {},
        "scopes": [
          "<string>"
        ],
        "resources": [
          "<string>"
        ],
        "max_amount": "<string>",
        "signer_type": "<string>",
        "status": "<string>",
        "created_at": 123,
        "expires_at": 123,
        "revoked_at": 123,
        "token_count": 123,
        "signed_at": 123,
        "budget_consumed": "<string>",
        "budget_remaining": "<string>",
        "transaction_count": 0,
        "enforcement_mode": "strict",
        "source_chat_message_id": 123
      },
      "_links": {}
    }
  ],
  "has_more": true,
  "cursor": "<string>",
  "limit": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

wallet
string
required
status
enum<string>
default:active
Available options:
pending,
active,
revoked,
expired
sort
enum<string>
default:created_at
Available options:
created_at,
expires_at
order
enum<string>
default:desc
Available options:
asc,
desc
limit
integer
default:20
Required range: 1 <= x <= 50
cursor
string | null

Response

Successful Response

HAL-style hypermedia links for navigation and available actions.

data
PintListItem · object[]
required

List of PINT resources.

has_more
boolean
required

Whether more results exist beyond this page.

cursor
string | null
required

Cursor for the next page, if has_more is true.

limit
integer
required

Maximum items per page.